## class OSGUTIL_EXPORT osgUtil::TransformAttributeFunctor

> Functor for transforming a drawable's vertex and normal attributes by specified matrix.

## Inheritance:

### Public Fields

osg::Matrix _m
osg::Matrix _im

### Public Methods

TransformAttributeFunctor(const osg::Matrix& m)
  construct a functor to transform a drawable's vertex and normal attributes by specified matrix
virtual ~TransformAttributeFunctor()
virtual void apply(osg::Drawable::AttributeType type, unsigned int count, osg::Vec3* begin)
  do the work of transforming vertex and normal attributes.

## Documentation

> Functor for transforming a drawable's vertex and normal attributes by specified matrix. typically used for flattening transform down onto drawable leaves.

`TransformAttributeFunctor(const osg::Matrix& m)`
  construct a functor to transform a drawable's vertex and normal attributes by specified matrix

`virtual ~TransformAttributeFunctor()`

`virtual void apply(osg::Drawable::AttributeType type, unsigned int count, osg::Vec3* begin)`
  do the work of transforming vertex and normal attributes.

`osg::Matrix _m`

`osg::Matrix _im`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.